<?php
// AShop
// Copyright 2017 - AShop Software - http://www.ashopsoftware.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see: http://www.gnu.org/licenses/.

include "config.inc.php";
include "ashopconstants.inc.php";
include "ashopfunc.inc.php";
include "checklogin.inc.php";
include "template.inc.php";
// Get language module...
include "language/$adminlang/configure.inc.php";
// Get context help for this page...
$contexthelppage = "editshipdiscounts";
include "help.inc.php";

// Open database...
$db = @mysqli_connect("$databaseserver", "$databaseuser", "$databasepasswd", "$databasename");

// Update selected payment option...
$duplicatediscount = "";
if ($updateshipdiscount && !$delete) {
	if (!$nfee) $nfee = 0.00;
	if ($updateshipdiscount == "new") {
		// Check if same or conflicting discount exists...
		$result = @mysqli_query($db, "SELECT * FROM shipdiscounts WHERE quantity='$nquantity' AND local='$nlocal' AND (shipoptionid='$nshipoption' OR '$nshipoption'='0')");
		if (@mysqli_num_rows($result)) $duplicatediscount = "true";
		$sql="INSERT INTO shipdiscounts (value, quantity, local, shipoptionid) VALUES ('$nvalue', '$nquantity', '$nlocal', '$nshipoption')";
	} else $sql="UPDATE shipdiscounts SET value='$nvalue', quantity='$nquantity', local='$nlocal', shipoptionid='$nshipoption' WHERE shipdiscountid='$updateshipdiscount'";
	if (!$duplicatediscount) $result = @mysqli_query($db, "$sql");
} else if ($updateshipdiscount && $delete) {
	$sql="DELETE FROM shipdiscounts WHERE shipdiscountid=$updateshipdiscount";
	$result = @mysqli_query($db, "$sql");
}

// Get shipping options...
$result = @mysqli_query($db, "SELECT * FROM shipoptions");
$shipoptionselectstring = "<option value=\"0\">".ANY;
if (@mysqli_num_rows($result)) for ($i = 0; $i < @mysqli_num_rows($result); $i++) {
	$shipoptionselectstring .= "<option value=\"".@mysqli_result($result, $i, "shipoptionid")."\">".@mysqli_result($result, $i, "description");
}

echo "$header
<section class=\"content-header\"><h1>".SHIPPINGDISCOUNTS." <a href=\"javascript:;\" onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Image1','','images/contexthelpicon_over.gif',1)\"><img src=\"images/contexthelpicon.gif\" width=\"14\" height=\"15\" border=\"0\" name=\"Image1\" onclick=\"return overlib('$tip1');\" onmouseout=\"return nd();\"></a> <a href=\"$help1\" target=\"_blank\"><img src=\"images/icon_helpsm.gif\" width=\"15\" height=\"15\" border=\"0\"></a></section><section class=\"content\">
		<div class=\"row\">
			<div class=\"col-md-6\">
            <div class=\"box box-primary\">
";
if ($duplicatediscount) echo "
              <div class=\"alert alert-danger alert-dismissible\">
                <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>
                <b>".ERROR."</b><br>".EQUALDISCOUNTEXISTS."
              </div>";
echo "
			<div class=\"box-header with-border\">
				<h3 class=\"box-title\">".ADDNEWSHIPPINGDISCOUNT."</h3>
				<div class=\"box-tools pull-right\">
					<button class=\"btn btn-box-tool\" data-widget=\"collapse\"><i class=\"fa fa-minus\"></i></button>
				</div>
			</div>
            <form action=\"editshipdiscounts.php\" method=\"post\" name=\"shipdiscountform$i\">
                <input type=\"hidden\" name=\"updateshipdiscount\" value=\"new\">
				<div class=\"box-body\">
                    <div class=\"form-group\">".admin_inputfield(array("label" => DISCOUNT, "name" => "nvalue", "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
                    <div class=\"form-group\">".admin_inputfield(array("label" => ONQUANTITIESOVER, "name" => "nquantity"))."</div>
                    <div class=\"form-group\">
						<label for=\"nlocal\">
                            ".SHIPPED."
                        </label>
                        <select class=\"form-control\" name=\"nlocal\"><option value=\"0\">".INTERNATIONALLY."<option value=\"1\">".LOCALLY."</select>
                    </div>
                    <div class=\"form-group\">
						<label for=\"nlocal\">
                            ".WITHOPTION."
                        </label>
                        <select class=\"form-control\" name=\"nshipoption\">$shipoptionselectstring</select>
                    </div>
                </div>
				<div class=\"box-footer\">
					<button type=\"submit\" class=\"btn btn-primary pull-right\" name=\"add\" value=\"true\">".ADD."</button>
				</div>
            </form>
            </div>";

// Display current shipping discounts...
$sql="SELECT * FROM shipdiscounts ORDER BY shipdiscountid DESC";
$result = @mysqli_query($db, "$sql");
for ($i = 0; $i < @mysqli_num_rows($result); $i++) {
	$shipdiscountid = @mysqli_result($result, $i, "shipdiscountid");
	$shipdiscountvalue = @mysqli_result($result, $i, "value");
	$shipdiscountquantity = @mysqli_result($result, $i, "quantity");
	$shipdiscountlocal = @mysqli_result($result, $i, "local");
	$shipdiscountoption = @mysqli_result($result, $i, "shipoptionid");

	// Get shipping options...
	$sql = "SELECT * FROM shipoptions";
	if($shipdiscountlocal) $sql .= " WHERE shipped='local'";
	else $sql .= " WHERE shipped='international'";
	$sql .= " OR shipped='both'";
	$result2 = @mysqli_query($db, $sql);
	$shipoptionselectstring = "<option value=\"0\">".ANY;
	if (@mysqli_num_rows($result2)) for ($j = 0; $j < @mysqli_num_rows($result2); $j++) {
		$thisshipoptionid = @mysqli_result($result2, $j, "shipoptionid");
		$shipoptionselectstring .= "<option value=\"$thisshipoptionid\"";
		if ($shipdiscountoption == $thisshipoptionid) $shipoptionselectstring .= " selected";
		$shipoptionselectstring .= ">".@mysqli_result($result2, $j, "description");
	}

	echo "
            <div class=\"box box-primary\">
            <form action=\"editshipdiscounts.php\" method=\"post\" name=\"shipdiscountform$i\">
            <input type=\"hidden\" name=\"updateshipdiscount\" value=\"$shipdiscountid\">
				<div class=\"box-body\">
                    <div class=\"form-group\">".admin_inputfield(array("label" => DISCOUNT, "name" => "nvalue", "value" => $shipdiscountvalue, "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
                    <div class=\"form-group\">".admin_inputfield(array("label" => ONQUANTITIESOVER, "name" => "nquantity", "value" => $shipdiscountquantity))."</div>
                    <div class=\"form-group\">
						<label for=\"nlocal\">
                            ".SHIPPED."
                        </label>
                        <select class=\"form-control\" name=\"nlocal\"><option value=\"0\">".INTERNATIONALLY."<option value=\"1\" "; if ($shipdiscountlocal) echo "selected"; echo ">".LOCALLY."</select>
                    </div>
                    <div class=\"form-group\">
						<label for=\"nlocal\">
                            ".WITHOPTION."
                        </label>
                        <select class=\"form-control\" name=\"nshipoption\">$shipoptionselectstring</select>
                    </div>
                </div>
				<div class=\"box-footer\">
					<button type=\"submit\" class=\"btn btn-default\" name=\"delete\" value=\"true\">".THEWORDDELETE."</button>
					<button type=\"submit\" class=\"btn btn-primary pull-right\" name=\"update\" value=\"true\">".UPDATE."</button>
				</div>
            </form>
            </div>";
}

// Close database...
@mysqli_close($db);

echo "</div></div></section>$footer";
?>