<?php
// AShop
// Copyright 2017 - AShop Software - http://www.ashopsoftware.com
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see: http://www.gnu.org/licenses/.

include "config.inc.php";
include "ashopfunc.inc.php";
include "checklogin.inc.php";
include "template.inc.php";
// Get language module...
include "language/$adminlang/editproduct.inc.php";
include "ashopconstants.inc.php";
// Get context help for this page...
$contexthelppage = "editshipping";
include "help.inc.php";

// Connect to database...
$db = @mysqli_connect("$databaseserver", "$databaseuser", "$databasepasswd", "$databasename");

// Store edited data...
if ($shipoption) {
   if (!$shipping || $shipping == "0" || $shipping == "0.00" || $shipping == "0.0") $shipping = "0.00";
   if ($shipoption == "flatrate") {
	   $dbcountryshipping = "";
	   if (empty($intshipping)) $intshipping = $shipping;
	   if (!empty($ratetocountry) && is_array($ratetocountry)) {
		   foreach ($ratetocountry as $thisratetocountrynumber=>$thisratetocountry) {
			   $thiscountryrate = floatval($countryshipping[$thisratetocountrynumber]);
			   if ($thisratetocountry != "none") $dbcountryshipping .= $thisratetocountry.":".number_format($thiscountryrate,2,'.','')."|";
		   }
	   }
	   $dbcountryshipping = substr($dbcountryshipping,0,-1);
	   $sql = "UPDATE product SET shipping='".number_format($shipping,2,'.','')."', intshipping='".number_format($intshipping,2,'.','')."', countryshipping='$dbcountryshipping' WHERE productid='$productid'";
   }
   else if ($shipoption == "none") $sql = "UPDATE product SET shipping=NULL WHERE productid='$productid'";
   else if ($shipoption == "usps") $sql = "UPDATE product SET shipping='usps' WHERE productid='$productid'";
   else if ($shipoption == "ups") $sql = "UPDATE product SET shipping='ups' WHERE productid='$productid'";
   else if ($shipoption == "fedex") $sql = "UPDATE product SET shipping='fedex' WHERE productid='$productid'";
   else if ($shipoption == "wml") $sql = "UPDATE product SET shipping='wml' WHERE productid='$productid'";
   else if ($shipoption == "zone") $sql = "UPDATE product SET shipping='zone$zipzonename' WHERE productid='$productid'";
   else if ($shipoption == "quantity") $sql = "UPDATE product SET shipping='quantity' WHERE productid='$productid'";
   else if ($shipoption == "storewide") $sql = "UPDATE product SET shipping='storewide' WHERE productid='$productid'";
   $result = @mysqli_query($db, $sql);
   if ($shipoption == "storewide" && (isset($nproductweightpounds) || isset($nproductweightounces))) {
	   if ($nproductweightounces == 0 && $nproductweightpounds == 0) $nproductweight = 0;
	   else {
		   $totalounces = ($nproductweightpounds*16)+$nproductweightounces;
		   $nproductweight = $totalounces/16;
	   }
	   @mysqli_query($db, "UPDATE product SET weight='".number_format($nproductweight,2,'.','')."' WHERE productid='$productid'");
   }
   if ($shipoption == "zone") {
	   for ($i = 2; $i <= 8; $i++) {
		   $zonerate = 0;
		   eval(" if (\$edzone$i) \$zonerate = \$edzone$i; else \$zonerate = 0;");
           $sql = "SELECT count(productid) as productcount FROM zonerates WHERE productid=$productid AND zone=$i";
           $result = @mysqli_query($db, $sql);
           $productcount = @mysqli_result($result, 0, "productcount");
           if (!$productcount > 0) $sql = "INSERT INTO zonerates(productid, zone, rate) VALUES($productid, $i,$zonerate)";
           else $sql = "UPDATE zonerates SET rate=$zonerate WHERE productid=$productid AND zone = $i";
           $result = @mysqli_query($db, $sql);
	   }
   } else {
       $sql="DELETE FROM zonerates WHERE productid=$productid";     
       $result = @mysqli_query($db, $sql);
   }

   $sql="DELETE FROM packages WHERE productid=$productid";
   $result = @mysqli_query($db, $sql);
   if ($numberofpackages) {
	   for ($i = 1; $i <= $numberofpackages; $i++) {
		   $origzip = 0;
		   $weight = 0;
		   eval ("if (\$origzip$i) \$origzip = \"\$origzip$i\";");
		   eval ("if (\$weight$i) \$weight = \$weight$i;");
		   eval ("if (\$class$i) \$class = \$class$i;");
		   eval ("if (\$origcountry$i) \$origcountry = \"\$origcountry$i\";");
		   eval ("if (\$origstate$i) \$origstate = \"\$origstate$i\";");
		   if ($origzip && $weight) {
			   $sql="INSERT INTO packages (productid,originzip,origincountry,originstate,weight,freightclass) VALUES ($productid,'$origzip','$origcountry','$origstate','$weight','$class')";
			   $result = mysqli_query($db, $sql);
		   }
	   }
   }
}

// Get product information...
$sql="SELECT * FROM product WHERE productid = $productid";
$result = @mysqli_query($db, $sql);
$productname = @mysqli_result($result, 0, "name");
$productshipping = @mysqli_result($result, 0, "shipping");
$productintshipping = @mysqli_result($result, 0, "intshipping");
$productcountryshipping = @mysqli_result($result, 0, "countryshipping");
$productweight = @mysqli_result($result, 0, "weight");
$totalounces = $productweight*16;
$productweightpounds = floor($productweight);
$productweightounces = ($totalounces-($productweightpounds*16));
$productweightounces = number_format($productweightounces,1,'.','');
if (!$productshipping && !$shipoption) {
	$productshipping = "0.00";
	$shipoption = "none";
} else if ($productshipping == "usps" && !$shipoption) $shipoption = "usps";
else if ($productshipping == "ups" && !$shipoption) $shipoption = "ups";
else if ($productshipping == "fedex" && !$shipoption) $shipoption = "fedex";
else if ($productshipping == "wml" && !$shipoption) $shipoption = "wml";
else if ($productshipping == "quantity" && !$shipoption) $shipoption = "quantity";
else if (strstr($productshipping,"zone") && !$shipoption) { 
	$zipzonename = $productshipping;
	$zipzonename = str_replace("zone", "", $zipzonename);
	$shipoption = "zone"; 
} else if ($productshipping == "storewide" && !$shipoption) $shipoption = "storewide";
else if ($productshipping && !$shipoption) $shipoption = "flatrate";

// Load zipzone amounts
if ($shipoption == "zone") {
	$sql="SELECT DISTINCT zonename FROM zipzones";
	$result = @mysqli_query($db, $sql);
	for ($i = 0; $i < @mysqli_num_rows($result); $i++) $zipzonenames[$i] = @mysqli_result($result, $i, "zonename");
	$sql="SELECT * FROM zonerates WHERE productid = $productid ORDER BY zone";
	$result = @mysqli_query($db, $sql);
	for ($i = 0; $i < @mysqli_num_rows($result); $i++) {
		$zipzone = @mysqli_result($result, $i, "zone");
		$zoneamounts[$zipzone] = @mysqli_result($result, $i, "rate");
	}
}

// Handle ups packages...
$sql="SELECT * FROM packages WHERE productid = $productid ORDER BY packageid";
$result = @mysqli_query($db, $sql);
$storedpackages = @mysqli_num_rows($result);
$packages = $numberofpackages;
if (!$numberofpackages) $packages = 1;
if ($storedpackages) {
	$storedpackagesstring = "";
 	$totalweight = 0;
	for ($i = 0; $i < $storedpackages; $i++) {
		$storigincountry = @mysqli_result($result, $i, "origincountry");
		$storiginstate = @mysqli_result($result, $i, "originstate");
		$storiginzip = @mysqli_result($result, $i, "originzip");
		$stweight = @mysqli_result($result, $i, "weight");
		$stclass = @mysqli_result($result, $i, "freightclass");
		$totalweight += $stweight;
		$packagenumber = $i + 1;
		$storedpackagesstring .= "<h4>".PACKAGE." $packagenumber:</h4>
        <input type=\"hidden\" name=\"origcountry$packagenumber\" value=\"US\">";

		
		if ($storigincountry == "US" && $shipoption != "wml") {
			$storedpackagesstring .= "
                    <div class=\"form-group\">
                        <label for=\"origstate$thispackage\">".ORIGINSTATE."</label>
                        <select class=\"form-control\" name=\"origstate$packagenumber\"><option value=\"none\">".CHOOSESTATE;

			foreach ($uscanstates as $longstate => $shortstate) {
				$storedpackagesstring .= "<option value=\"$shortstate\"";
				if ($shortstate == $storiginstate) $storedpackagesstring .= " selected";
				$storedpackagesstring .= ">$longstate\n";
			}

			$storedpackagesstring .= "</select></div>";
		}
		$storedpackagesstring .= "
                    <div class=\"form-group\">".admin_inputfield(array("label" => ORIGINZIP, "name" => "origzip$packagenumber", "value" => $storiginzip));
                if ($shipoption == "wml") $storedpackagesstring .= admin_inputfield(array("label" => SHIPPINGCLASS, "name" => "class$packagenumber", "value" => $stclass));
                $storedpackagesstring .= admin_inputfield(array("label" => WEIGHT, "name" => "weight$packagenumber", "value" => $stweight))."</div>";
	}
	$packages = 0;
}
if ($addpackage) $packages = $packages + 1;


// Print shipping option form...
if (!$edited || $addpackage) {
  echo "$header
    <section class=\"content-header\"><h1>".SHIPPINGMETHOD." <a href=\"$help1\" target=\"_blank\"><img src=\"images/icon_helpsm.gif\" width=\"15\" height=\"15\" border=\"0\"></a></h1></section>
    <section class=\"content\">
		<div class=\"row\">
			<div class=\"col-md-6\">
		<div class=\"box box-primary\">
            <form action=\"editshipping.php\" method=\"post\" name=\"shipoptionform\">
			    <div class=\"box-header with-border\">
				    <h3 class=\"box-title\"><a href=\"editcatalogue.php?pid=$productid&cat=$cat\">$productname</a></h3>
                </div>
                <div class=\"box-body\">
        <div class=\"form-group\">
            <label for=\"shipoption\">".SHIPPINGMETHOD."</label><input type=\"hidden\" name=\"productid\" value=\"$productid\"><select class=\"form-control\" name=\"shipoption\" onChange=\"document.shipoptionform.submit()\">
		<option value=\"none\"";
		if ($shipoption == "none") echo " selected";
		echo ">".NONE."</option>";
		if ($shippingmethod == "custom" || $shipoptionstype == "custom") {
			echo "<option value=\"flatrate\"";
			if ($shipoption == "flatrate") echo " selected";
			echo ">".FLATRATE."</option>
			<option value=\"wml\"";
			if ($shipoption == "wml") echo " selected";
			echo ">".WATKINSML."</option>
			<option value=\"zone\"";
			if ($shipoption == "zone") echo " selected";
			echo ">".ZIPZONE."</option>
			<option value=\"quantity\"";
			if ($shipoption == "quantity") echo " selected";
			echo ">".QUANTITY."</option>";
		}
		
		if ($shippingmethod == "usps") {
			echo "<option value=\"usps\"";
			if ($shipoption == "usps") echo " selected";
			echo ">".USPS."</option>";
		} else if ($shippingmethod == "ups") {
			echo "<option value=\"ups\"";
			if ($shipoption == "ups") echo " selected";
			echo ">".UPS."</option>";
		} else if ($shippingmethod == "fedex") {
			echo "<option value=\"fedex\"";
			if ($shipoption == "fedex") echo " selected";
			echo ">".FEDEX."</option>";
		}
		echo "<option value=\"storewide\"";
		if ($shipoption == "storewide") echo " selected";
		echo ">".STOREWIDE."</option></select></div>";

		if ($shipoption == "zone") {
			echo "
            <div class=\"form-group\">
                <label for=\"shipoption\">".ZIPZONELOOKUPTABLE."</label><select class=\"form-control\" name=\"zipzonename\">";

			for ($i = 0; $i < count($zipzonenames); $i++) {
				echo "<option value=\"$zipzonenames[$i]\"";
				if ($zipzonenames[$i] == $zipzonename) echo " selected ";
				echo ">".$zipzonenames[$i]."</option>";
			}
			echo "</select></div>
            <tr><td align=\"center\"><a href=\"editzones.php\" class=\"nav2\">".MANAGEZIPTABLES."</a></td></tr><tr><td align=\"center\" class=\"formlabel\">".ZONESHIPPINGAMOUNTS." <a href=\"javascript:;\" onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Image1','','images/contexthelpicon_over.gif',1)\"><img src=\"images/contexthelpicon.gif\" width=\"14\" height=\"15\" border=\"0\" name=\"Image1\" align=\"absmiddle\" onclick=\"return overlib('$tip2');\" onmouseout=\"return nd();\"></a> <a href=\"$help2\" target=\"_blank\"><img src=\"images/icon_helpsm.gif\" width=\"15\" height=\"15\" border=\"0\"></a></td></tr>";

			for ($i = 2; $i <= 8; $i++) {
				echo "<tr><td align=\"center\"><table width=\"180\" align=\"center\" cellspacing=\"0\" cellpadding=\"3\" border=\"0\"><tr bgcolor=\"#D0D0D0\"><td align=\"left\" class=\"formlabel\">".ZONE." $i ".$currencysymbols[$ashopcurrency]["pre"]."<input type=\"text\" name=\"edzone$i\" size=\"8\" value=\"$zoneamounts[$i]\"> ".$currencysymbols[$ashopcurrency]["post"]."</td></tr><tr><td></td></tr></table>";
			}
		}

		if ($shipoption == "quantity") {
			$sql = "SELECT quantity,rate FROM quantityrates WHERE productid='$productid' ORDER BY quantity";
			$result = mysqli_query($db, $sql);

			echo "</div></form></div>

		    <div class=\"box box-primary\">
			    <div class=\"box-header with-border\">
				    <h3 class=\"box-title\">".SHIPPINGAMOUNTBASEDONQTY." <a href=\"$help4\" target=\"_blank\"><img src=\"images/icon_helpsm.gif\" width=\"15\" height=\"15\" border=\"0\"></a></h3>
                </div>
                <div class=\"box-body\">";

			if ($quantity_exists) echo "
              <div class=\"alert alert-danger alert-dismissible\">
                <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>
                ".ERROR.": ".QUANTITYAMOUNTEXISTS."
              </div>";
			else if ($msg=="updated") echo "
              <div class=\"alert alert-success alert-dismissible\">
                <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">&times;</button>
                ".SUCCESSFULLYUPDATED."
              </div>";

            echo "
					<table class=\"table table-bordered\">
					<tr><th>".QUANTITY."</th><th>".SHIPPING."</th></tr>";
			$results = false;
			while ($row = @mysqli_fetch_array($result)) {
				$results = true;
				echo  "<tr>
					<form action=\"editquantities.php\" method=\"POST\">
					<input type=\"hidden\" name=\"productid\" value=\"$productid\">";

				if ($row["quantity"] != "1") echo "<input type=\"hidden\" name=\"origquantity\" value=\"$row[quantity]\">
					<td>
                    <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "quantity", "value" => $row[quantity]))."</div>
                    </td>
                    <td align=\"left\">
                    <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "rate", "value" => number_format($row["rate"],2,'.',''), "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
                    </td>
                    <input type=\"hidden\" name=\"productid\" value=\"$productid\">
                    <td align=\"right\">
                        <button type=\"submit\" class=\"btn btn-primary\" name=\"delete\" value=\"".THEWORDDELETE."\">".THEWORDDELETE."</button>&nbsp;
                        <button type=\"submit\" class=\"btn btn-primary pull-right\" name=\"update\" value=\"".UPDATE."\">".UPDATE."</button>
                    </td>";
				else echo "<input type=\"hidden\" name=\"action\" value=\"updatefirst\">
					<td align=\"left\">$row[quantity]</td>
                    <td align=\"left\">
                    <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "rate", "value" => number_format($row["rate"],2,'.',''), "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
                    </td>
                    <td align=\"right\">
                        <button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".UPDATE."\">".UPDATE."</button>
                    </td>";
				echo "</form></tr>";
			}

			// no entries in database
			if (!$results){
				echo "<form action=\"editquantities.php\" method=\"POST\">
						<tr><td align=\"left\">1</td>
						<td>
						<input type=\"hidden\" name=\"productid\" value=\"$productid\">
						<input type=\"hidden\" name=\"action\" value=\"addfirstrate\">
                        <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "rate", "value" => "0.00", "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div></td>
						<td>
                            <button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".UPDATE."\">".UPDATE."</button>
                        </td></form></tr></table>
                </div>
			    <div class=\"box-header with-border\">
				    <h3 class=\"box-title\">".ENTERSHIPPINGFORSINGLEPRODUCT."</h3>
                </div>";
			}
			else echo "<tr><form action=\"editquantities.php\" method=\"POST\">
                        <td align=\"left\">
                            <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "quantity"))."</div>
                        </td>
						<input type=\"hidden\" name=\"productid\" value=\"$productid\">
						<input type=\"hidden\" name=\"action\" value=\"add\">
					<td align=\"left\">
                        <div class=\"form-group\">".admin_inputfield(array("label" => "", "name" => "rate", "value" => "0.00", "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
					</td>
					<td align=\"right\">
                        <button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".ADDROW."\">".ADDROW."</button>
					</td></form>
				</tr>
				</table>";
		}

       	if ($shipoption == "flatrate") {
			echo "
                    <div class=\"form-group\">".admin_inputfield(array("label" => FLATRATESHIPPING, "name" => "shipping", "value" => $productshipping, "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>
                    <div class=\"form-group\">".admin_inputfield(array("label" => INTERNATIONALRATE, "name" => "intshipping", "value" => $productintshipping, "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>";
			$ratetocountrynumber = 0;
			$alreadyusedcountries = array();
			if (!empty($productcountryshipping)) {
				$productcountryshippingarray = explode("|",$productcountryshipping);
				foreach ($productcountryshippingarray as $thisproductcountryshipping) {
					$thisproductcountryshippingarray = explode(":",$thisproductcountryshipping);
					echo "
                    <div class=\"form-group\">
                        <label for=\"ratetocountry[$ratetocountrynumber]\">".RATETO."</label>
                        <select class=\"form-control\" name=\"ratetocountry[$ratetocountrynumber]\"><option value=\"none\">".CHOOSECOUNTRY."</option>\n";
					foreach ($countries as $shortcountry=>$longcountry) {
						if (!in_array($shortcountry,$alreadyusedcountries)) {
							if (strlen($longcountry) > 35) $longcountry = substr($longcountry,0,32)."...";
							echo "<option value=\"$shortcountry\"";
							if ($thisproductcountryshippingarray[0] == $shortcountry) {
								echo " selected";
								$alreadyusedcountries[] = $shortcountry;
							}
							echo ">$longcountry</option>\n";
						}
					}
					echo "</select>
                    ".admin_inputfield(array("name" => "countryshipping[$ratetocountrynumber]", "value" => $thisproductcountryshippingarray[1], "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."</div>";
					$ratetocountrynumber++;
				}
			}
			echo "
                    <div class=\"form-group\">
                        <label for=\"ratetocountry[$ratetocountrynumber]\">".RATETO."</label>
                        <select class=\"form-control\" name=\"ratetocountry[$ratetocountrynumber]\"><option value=\"none\">".CHOOSECOUNTRY."</option>\n";
			foreach ($countries as $shortcountry=>$longcountry) {
				if (!in_array($shortcountry,$alreadyusedcountries)) {
					if (strlen($longcountry) > 35) $longcountry = substr($longcountry,0,32)."...";
					echo "<option value=\"$shortcountry\">$longcountry</option>\n";
				}
			}
			echo "</select>
                    ".admin_inputfield(array("name" => "countryshipping[$ratetocountrynumber]", "value" => "", "prefix" => $currencysymbols[$ashopcurrency]["pre"], "suffix" => $currencysymbols[$ashopcurrency]["post"]))."
					<button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".Add."\" name=\"addcountry\">Add</button>
                    </div>";

		}
       	if ($shipoption == "storewide" && ($storeshippingmethod == "perpound" || $storeshippingmethod == "byweight" || $storeshippingmethod == "usps" || $storeshippingmethod == "ups" || $storeshippingmethod == "fedex")) echo "
                    <div class=\"form-group\">
                    ".admin_inputfield(array("label" => WEIGHT, "name" => "nproductweightpounds", "value" => $productweightpounds, "suffix" => POUND, "small" => TRUE))."
                    ".admin_inputfield(array("name" => "nproductweightounces", "value" => $productweightounces, "suffix" => OUNCE, "small" => TRUE))."
                    </div>";
		if ($shipoption == "usps" || $shipoption == "ups" || $shipoption == "fedex" || $shipoption == "wml") {
			echo "
			    <div class=\"box-header with-border\">
				    <h3 class=\"box-title\">".SINGLEORMULTIPLE."<br>".USGROUNDSHIPMENTS." <a href=\"javascript:;\" onMouseOut=\"MM_swapImgRestore()\" onMouseOver=\"MM_swapImage('Image3','','images/contexthelpicon_over.gif',1)\"><img src=\"images/contexthelpicon.gif\" width=\"14\" height=\"15\" border=\"0\" name=\"Image3\" align=\"absmiddle\" onclick=\"return overlib('$tip3');\" onmouseout=\"return nd();\"></a></h3>
                </div>
                <div class=\"box-body\">
                $storedpackagesstring";
			$totalpackages = $storedpackages + $packages;
			if ($packages > 0) for ($i = $storedpackages; $i < $totalpackages; $i++) {
				$thispackage = $i + 1;
				$shippingcountry = "US";
				echo "\n<h4>".PACKAGE." $thispackage:</h4><input type=\"hidden\" name=\"origcountry$thispackage\" value=\"US\">";

				if ($shippingcountry == "US" && $shipoption != "wml") {
					echo "
                    <div class=\"form-group\">
                        <label for=\"origstate$thispackage\">".ORIGINSTATE."</label>
                        <select class=\"form-control\" name=\"origstate$thispackage\"><option  value=none>".CHOOSESTATE;
					foreach ($uscanstates as $longstate => $shortstate) {
						echo "<option  value=$shortstate";
						if ($shortstate == $storiginstate) echo " selected";
						echo ">$longstate\n";
					}
					echo "</select></div>";
				}
				echo "
                    <div class=\"form-group\">".admin_inputfield(array("label" => ORIGINZIP, "name" => "origzip$thispackage", "value" => $storiginzip));
                if ($shipoption == "wml") echo admin_inputfield(array("label" => SHIPPINGCLASS, "name" => "class$thispackage"));
                echo admin_inputfield(array("label" => WEIGHT, "name" => "weight$thispackage", "value" => $stweight))."</div>";
			}
			echo "<h4>".TOTALWEIGHT.": $totalweight</h4>
                </div>
                <input type=\"hidden\" name=\"numberofpackages\" value=\"$totalpackages\">
				<div class=\"box-footer\">
                    <button type=\"submit\" class=\"btn btn-primary\" value=\"".ADDPACKAGE."\" name=\"addpackage\">".ADDPACKAGE."</button>
					<button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".SUBMIT."\" name=\"edited\">".SUBMIT."</button>
				</div>
                ";
		}
		if($shipoption == "flatrate" || $shipoption == "none" || $shipoption == "zone" || $shipoption == "storewide") echo "
                </div>
				<div class=\"box-footer\">
					<button type=\"submit\" class=\"btn btn-primary pull-right\" value=\"".SUBMIT."\" name=\"edited\">".SUBMIT."</button>
				</div>";
		echo "<input type=\"hidden\" name=\"productid\" value=\"$productid\"><input type=\"hidden\" name=\"cat\" value=\"$cat\"><input type=\"hidden\" name=\"pid\" value=\"$pid\"><input type=\"hidden\" name=\"search\" value=\"$search\"><input type=\"hidden\" name=\"resultpage\" value=\"$resultpage\">
        </div>
            </form>
        </div>
		</div>
		</div>
        </section>
        $footer";
} else header ("Location: editcatalogue.php?cat=$cat&pid=$pid&search=$search&resultpage=$resultpage");
?>